### Name: TimeDateSubsets
### Title: timeDate Class, Subsetting
### Aliases: TimeDateSubsets isWeekday isWeekend isBizday isHoliday
###   getDayOfWeek getDayOfYear [.timeDate cut.timeDate start.timeDate
###   end.timeDate length.timeDate blockStart blockEnd
### Keywords: chron

### ** Examples

## SOURCE("fCalendar.3B-TimeDateSubsets")

## Easter -
   currentYear
   
## Easter -
   Easter(currentYear)
   tS = timeSequence(from = Easter(currentYear)-7*24*3600, length.out = 8) 
   tS
 
## Weekdays and Weekend Days: 
   isWeekday(tS)
   isWeekend(tS)
   getDayOfWeek(tS)
   
## Business Days and Holidays:
   holidayNYSE()
   isBizday(tS, holidayNYSE())
   isHoliday(tS, holidayNYSE())

## [ - Subsetting:
   tS[c(1, 6:8)]   
   tS[isBizday(tS)]
   tS[isHoliday(tS)]
   
## cut - 
   GoodFriday(currentYear)
   EasterMonday(currentYear)
   cut(tS, from = GoodFriday(currentYear), to = EasterMonday(currentYear))
   
## start | end -
   start(tS)
   end(tS)



