### Name: TimeSeriesData
### Title: timeSeries Class, Functions and Methods
### Aliases: TimeSeriesData diff.timeSeries lag.timeSeries merge.timeSeries
###   rbind.timeSeries cumsum.timeSeries scale.timeSeries var.timeSeries
###   Ops.timeSeries abs.timeSeries sqrt.timeSeries exp.timeSeries
###   log.timeSeries sign.timeSeries quantile.timeSeries [.timeSeries
###   cut.timeSeries head.timeSeries tail.timeSeries outlier.timeSeries
###   dim.timeSeries dimnames.timeSeries colnames<-.timeSeries
###   rownames<-.timeSeries is.array.timeSeries
### Keywords: chron

### ** Examples

## SOURCE("fCalendar.4B-TimeSeriesData")

## data - 
   # Create an artificial timeSeries object:
   myFinCenter <<- "GMT"
   charvec = timeCalendar()
   set.seed(4711)
   data = matrix(exp(cumsum(rnorm(12, sd = 0.1))))
   TS = timeSeries(data, charvec, units = "TS")
   TS
   par(ask = FALSE)
   plot(TS, type = "o", pch = 19)

## diff | scale - 
   # Difference and scale the timeSeries Object:
   scale(diff(TS, lag = 2, trim = TRUE))

## lag -
   # Lag the timeSeries Object:
   lag(TS, k = -1:1)
    
## merge -    
   # Merge two timeSeries Object:
   merge(TS, diff(log(TS), units = c("ts", "diffLog")))

## var -    
   # Variance of a timeSeries Object:
   var(returnSeries(TS, percentage = TRUE))
   
## Ops | +/- * ^ ...
   # Mathematical Operations:
   TS^2
   TS[2:4]
   OR = returnSeries(TS)
   OR
   OR > 0
   quantile(OR, probs = c(0.90, 0.95))



